Data Fields
kvmLogEventEx Struct Reference

The union of events used by kvmKmeReadEvent(). More...

`#include <kvmlib.h>`

## Data Fields
uint32 | type
| kvmLOG_TYPE_xxx, Event types in log More...
union {
kvmLogMsgEx msg
| A CAN message. More...
kvmLogRtcClockEx rtc
| An RTC message. More...
kvmLogTriggerEx trig
| A trigger message. More...
kvmLogVersionEx ver
| A version message. More...
uint8 raw [128]
| Raw data in a array. More...
} | eventUnion

## Detailed Description

The union of events used by kvmKmeReadEvent().

## Field Documentation

## ◆ eventUnion

union { ... } eventUnion

## ◆ msg

kvmLogMsgEx msg

A CAN message.

## ◆ raw

uint8 raw[128]

Raw data in a array.

## ◆ rtc

kvmLogRtcClockEx rtc

An RTC message.

## ◆ trig

kvmLogTriggerEx trig

A trigger message.

## ◆ type

uint32 type

kvmLOG_TYPE_xxx, Event types in log

## ◆ ver

kvmLogVersionEx ver

A version message.

The documentation for this struct was generated from the following file:

- kvmlib.h